class Triangle:
    def __init__(self,a,b,c):
        self.a, self.b, self.c = a, b, c

    def aire(self):
        p = (self.a + self.b + self.c)/2
        return (p*(p-self.a)*(p-self.b)*(p-self.c))**0.5

    def rect(self):
        L = [self.a , self.b , self.c]
        L.sort()

        return L[2]**2 == L[0]**2 + L[1]**2